browser {base} | R Documentation

## Environment Browser

### Description

Interrupt the execution of an expression and allow the inspection of the environment where `browser` was called from.

### Usage

    browser()

### Details

A call to `browser` causes a pause in the execution of the current expression and runs a copy of the R interpreter which has access to variables local to the environment where the call took place.

Local variables can be listed with `ls`, and manipulated with R expressions typed to this sub-interpreter. The interpreter copy is exited by typing `c`. Execution then resumes at the statement following the call to `browser`.

Typing `n` causes the step-through-debugger, to start and it is possible to step through the remainder of the function one line at a time.

Typing `Q` quits the current execution and returns you to the top-level prompt.

### See Also

`debug`, and `traceback` for the stack on error.

[Package Contents]